package com.business.mapper;

import com.business.domain.ImputationData;

import java.util.List;

/**
 * @author Administrator
 */
public interface ImputationDataMapper {

    /**
     * 查询日志归集数据
     *
     * @param imputationData 日志归集数据
     * @return 结果
     */
    public ImputationData selectImputationData(ImputationData imputationData);

    /**
     * 接口日志归集数据
     *
     * @param imputationData 接口归集数据
     * @return 结果
     */

    public List<ImputationData> selectImputationInterface(ImputationData imputationData);

    /**
     * 新增日志归集数据
     *
     * @param imputationData 日志归集数据
     * @return 结果
     */
    public int insertImputationData(ImputationData imputationData);

    /**
     * 新增接口归集数据
     *
     * @param imputationData 接口归集数据
     * @return 结果
     */
    public int insertImputationInterface(ImputationData imputationData);

    /**
     * 修改接口归集数据
     *
     * @param imputationData 根据月份接口归集数据
     * @return 结果
     */
    public int updateImputationInterfaceByYearMonthTableName(ImputationData imputationData);

    /**
     * 修改日志归集数据
     *
     * @param imputationData 日志归集数据
     * @return 结果
     */
    public int updateImputationData(ImputationData imputationData);
}
