package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.constant.Constants;
import com.sooka.common.core.domain.BaseEntity;
import lombok.Data;


/**
 * 接口调用日志对象 t_u_log
 *
 * @author lei
 * @date 2021-07-06
 */
@Data
public class TULog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 删除时间 */
    private String delFlag;

    /** 登录人 */
    @Excel(name = "登录人")
    private Long loginUser;

    /** 登录名 */
    @Excel(name = "登录名")
    private String loginName;

    /** 调用接口id */
    @Excel(name = "调用接口id")
    private String interfaceinfoId;

    /** 调用接口名 */
    @Excel(name = "调用接口名")
    private String interfaceinfoName;

    /** 调用者部门ID */
    @Excel(name = "调用者部门ID")
    private String deptId;

    /** 调用者部门 */
    @Excel(name = "调用者部门")
    private String deptName;

    /** ip地址 */
    @Excel(name = "ip地址")
    private String ipaddress;

    /** 操作系统 */
    @Excel(name = "操作系统")
    private String os;

    /** 平台接口类型 */
    @Excel(name = "平台接口类型")
    private String platformInterfacetype;

    /** 访问浏览器 */
    @Excel(name = "访问浏览器")
    private String browser;

    /** 参数条件 */
    @Excel(name = "参数条件")
    private String param;

    /** 返回结果 */
    @Excel(name = "返回结果")
    private String results;

    /** 操作数量 */
    @Excel(name = "操作数量")
    private Long operationQuantity;

    /** 操作状态 */
    @Excel(name = "操作状态")
    private Long operationStatus;

    /** 异常记录 */
    @Excel(name = "异常记录")
    private String exceptionLog;

}
