package com.sooka.system.funeral.ashes_remove.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.framework.util.ShiroUtils;
import com.sooka.system.funeral.ashes_remove.domain.TGuijiAshesRemove;
import com.sooka.system.funeral.ashes_remove.mapper.TGuijiAshesRemoveMapper;
import com.sooka.system.funeral.ashes_remove.service.ITGuijiAshesRemoveService;
import com.sooka.system.service.impl.Guiji_Base_Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 市殡葬-骨灰取走基本信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiAshesRemoveServiceImpl extends Guiji_Base_Service implements ITGuijiAshesRemoveService
{
    @Resource
    private TGuijiAshesRemoveMapper mapper;

    /**
     * 查询市殡葬-骨灰取走基本信息
     *
     * @param id 市殡葬-骨灰取走基本信息ID
     * @return 市殡葬-骨灰取走基本信息
     */
    @Override
    public TGuijiAshesRemove selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询市殡葬-骨灰取走基本信息列表
     *
     * @param param 市殡葬-骨灰取走基本信息
     * @return 市殡葬-骨灰取走基本信息
     */
    @Override
    public List<TGuijiAshesRemove> selectList(TGuijiAshesRemove param)
    {
        List<TGuijiAshesRemove> list = mapper.selectList(param);
        param.setOperationStatus(1L);
        param.setParam(param.toString());
        param.setInterfacetype("platform_interfacetype_1");//1 共享 2归集
        param.setInterfaceinfoId("18f46d0a-311d-49ba-83a4-3203a307b510");
        param.setInterfaceinfoName("共享（市）-市殡葬-骨灰取走基本信息");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        param.setDeptId(deptId);
        param.setDeptName(deptName);
        add_log(param);
        return list;
    }

    /**
     * 新增市殡葬-骨灰取走基本信息
     *
     * @param param 市殡葬-骨灰取走基本信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiAshesRemove param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改市殡葬-骨灰取走基本信息
     *
     * @param param 市殡葬-骨灰取走基本信息
     * @return 结果
     */
    @Override
    public int update(TGuijiAshesRemove param)
    {
        return mapper.update(param);
    }

    /**
     * 删除市殡葬-骨灰取走基本信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除市殡葬-骨灰取走基本信息信息
     *
     * @param id 市殡葬-骨灰取走基本信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
