package com.sooka.system.funeral.freeze.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.framework.util.ShiroUtils;
import com.sooka.system.funeral.freeze.domain.TGuijiFreeze;
import com.sooka.system.funeral.freeze.mapper.TGuijiFreezeMapper;
import com.sooka.system.funeral.freeze.service.ITGuijiFreezeInforService;
import com.sooka.system.service.impl.Guiji_Base_Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 市殡葬-冷冻基本信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiFreezeServiceImpl extends Guiji_Base_Service implements ITGuijiFreezeInforService
{
    @Resource
    private TGuijiFreezeMapper mapper;

    /**
     * 查询市殡葬-冷冻基本信息
     *
     * @param id 市殡葬-冷冻基本信息ID
     * @return 市殡葬-冷冻基本信息
     */
    @Override
    public TGuijiFreeze selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询市殡葬-冷冻基本信息列表
     *
     * @param param 市殡葬-冷冻基本信息
     * @return 市殡葬-冷冻基本信息
     */
    @Override
    public List<TGuijiFreeze> selectList(TGuijiFreeze param)
    {
        List<TGuijiFreeze> list = mapper.selectList(param);
        param.setOperationStatus(1L);
        param.setParam(param.toString());
        param.setInterfacetype("platform_interfacetype_1");//1 共享 2归集
        param.setInterfaceinfoId("9d9e8fce-6046-4ce5-96bd-6a4228e0a2c5");
        param.setInterfaceinfoName("共享（市）-市殡葬-冷冻基本信息");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        param.setDeptId(deptId);
        param.setDeptName(deptName);
        add_log(param);
        return list;
    }

    /**
     * 新增市殡葬-冷冻基本信息
     *
     * @param param 市殡葬-冷冻基本信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiFreeze param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改市殡葬-冷冻基本信息
     *
     * @param param 市殡葬-冷冻基本信息
     * @return 结果
     */
    @Override
    public int update(TGuijiFreeze param)
    {
        return mapper.update(param);
    }

    /**
     * 删除市殡葬-冷冻基本信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除市殡葬-冷冻基本信息信息
     *
     * @param id 市殡葬-冷冻基本信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
