package com.sooka.system.gas.sc_gas_meter_infor.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.framework.util.ShiroUtils;
import com.sooka.system.gas.sc_gas_meter_infor.domain.TGuijiSCGasMeterInfor;
import com.sooka.system.gas.sc_gas_meter_infor.mapper.TGuijiSCGasMeterInforMapper;
import com.sooka.system.gas.sc_gas_meter_infor.service.ITGuijiSCGasMeterInforService;
import com.sooka.system.service.impl.Guiji_Base_Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 思凯收费系统-表具信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiSCGasMeterInforServiceImpl extends Guiji_Base_Service implements ITGuijiSCGasMeterInforService
{
    @Resource
    private TGuijiSCGasMeterInforMapper mapper;

    /**
     * 查询思凯收费系统-表具信息
     *
     * @param id 思凯收费系统-表具信息ID
     * @return 思凯收费系统-表具信息
     */
    @Override
    public TGuijiSCGasMeterInfor selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询思凯收费系统-表具信息列表
     *
     * @param param 思凯收费系统-表具信息
     * @return 思凯收费系统-表具信息
     */
    @Override
    public List<TGuijiSCGasMeterInfor> selectList(TGuijiSCGasMeterInfor param)
    {
        List<TGuijiSCGasMeterInfor> list = mapper.selectList(param);
        param.setOperationStatus(1L);
        param.setParam(param.toString());
        param.setInterfacetype("platform_interfacetype_1");//1 共享 2归集
        param.setInterfaceinfoId("e7202f69-ad9d-4103-bfbe-b32a95beda86");
        param.setInterfaceinfoName("共享（市）-思凯收费系统-表具信息");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        param.setDeptId(deptId);
        param.setDeptName(deptName);
        add_log(param);
        return list;
    }

    /**
     * 新增思凯收费系统-表具信息
     *
     * @param param 思凯收费系统-表具信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiSCGasMeterInfor param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改思凯收费系统-表具信息
     *
     * @param param 思凯收费系统-表具信息
     * @return 结果
     */
    @Override
    public int update(TGuijiSCGasMeterInfor param)
    {
        return mapper.update(param);
    }

    /**
     * 删除思凯收费系统-表具信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除思凯收费系统-表具信息信息
     *
     * @param id 思凯收费系统-表具信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
