package com.sooka.system.gas.zenner_meter_reading_infor.mapper;

import com.sooka.system.gas.zenner_meter_reading_infor.domain.TGuijiZennerMeterReadingInfor;

import java.util.List;
import java.util.Map;

/**
 * 真兰收费系统-抄表信息Mapper接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface TGuijiZennerMeterReadingMapper
{
    /**
     * 查询真兰收费系统-抄表信息
     *
     * @param id 真兰收费系统-抄表信息ID
     * @return 真兰收费系统-抄表信息
     */
    public TGuijiZennerMeterReadingInfor selectById(String id);

    /**
     * @return id结果集
     */
    public List<TGuijiZennerMeterReadingInfor> selectIds(TGuijiZennerMeterReadingInfor param);

    /**
     * 查询真兰收费系统-抄表信息列表
     *
     * @param ids ID集合
     * @return 真兰收费系统-抄表信息集合
     */
    public List<TGuijiZennerMeterReadingInfor> selectListbyIds(Map ids);

    /**
     * 查询真兰收费系统-抄表信息列表
     *
     * @param param 真兰收费系统-抄表信息
     * @return 真兰收费系统-抄表信息集合
     */
    public List<TGuijiZennerMeterReadingInfor> selectList(TGuijiZennerMeterReadingInfor param);

    /**
     * 新增真兰收费系统-抄表信息
     *
     * @param param 真兰收费系统-抄表信息
     * @return 结果
     */
    public int insert(TGuijiZennerMeterReadingInfor param);

    /**
     * 修改真兰收费系统-抄表信息
     *
     * @param param 真兰收费系统-抄表信息
     * @return 结果
     */
    public int update(TGuijiZennerMeterReadingInfor param);

    /**
     * 删除真兰收费系统-抄表信息
     *
     * @param id 真兰收费系统-抄表信息ID
     * @return 结果
     */
    public int deleteById(String id);

    /**
     * 批量删除真兰收费系统-抄表信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String[] ids);
}
